### Method

# Snapd Client enable_aliases_async

deprecated: 1.25 since: 1.8

#### Declaration [src]

    void
    snapd_client_enable_aliases_async (
      SnapdClient* client,
      const gchar* snap,
      GStrv aliases,
      SnapdProgressCallback progress_callback,
      gpointer progress_callback_data,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously change the state of aliases. See `snapd_client_enable_aliases_sync()` for more information.

Available since: 1.8

Deprecated since: 1.25

Use snapd_client_alias_async().

This method completes asynchronously. Use `snapd_client_enable_aliases_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`snap`

  Type: `const gchar*`

  The name of the snap to modify.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`aliases`

  Type: An array of `utf8`

  The aliases to modify.

  The array must be `NULL`-terminated.
  Each element is a NUL terminated UTF-8 string.

`progress_callback`

  Type: `SnapdProgressCallback`

  Function to callback with progress.

  The argument can be `NULL`.

`progress_callback_data`

  Type: `gpointer`

  User data to pass to `progress_callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.